Summary:	Handle file archives
Name:		ark
Version:	4.14.3
Release:	5
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		http://utils.kde.org/projects/ark
%define is_beta %(if test `echo %{version} |cut -d. -f3` -ge 70; then echo -n 1; else echo -n 0; fi)
%if %{is_beta}
%define ftpdir unstable
%else
%define ftpdir stable
%endif
Source0:	ftp://ftp.kde.org/pub/kde/%{ftpdir}/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		ark-4.14.3-no-rar.patch
Patch1:		ark-4.14.3-zip-encoding.patch
# Add support for p7zip 15.09
Patch2:		ark-4.14.3-p7zip-file-exists-detection.patch
Patch3:		ark-4.14.3-p7zip-password-prompt-detection.patch
BuildRequires:	bzip2-devel
BuildRequires:	kdebase4-devel
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(QJson)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(zlib)
Suggests:	p7zip
Suggests:	unzip
Obsoletes:	%{name}-devel < 4.14.3-3

%description
Ark is a program for managing various archive formats within the KDE
environment.

%files
%{_kde_bindir}/ark
%{_kde_libdir}/kde4/kerfuffle_*
%{_kde_libdir}/kde4/arkpart.so
%{_kde_libdir}/kde4/libextracthere.so
%{_kde_applicationsdir}/ark.desktop
%{_kde_appsdir}/ark
%{_kde_datadir}/appdata/ark.appdata.xml
%{_kde_datadir}/config.kcfg/ark.kcfg
%{_kde_iconsdir}/hicolor/*/apps/ark*
%{_kde_services}/ark_part.desktop
%{_kde_services}/kerfuffle_*
%{_kde_services}/ark_dndextract.desktop
%{_kde_services}/ServiceMenus/ark_*.desktop
%{_kde_servicetypes}/kerfufflePlugin.desktop
%{_kde_docdir}/HTML/*/ark
%{_kde_mandir}/man1/ark.1*

#----------------------------------------------------------------------------

%define libkerfuffle_major 4
%define libkerfuffle %mklibname kerfuffle %{libkerfuffle_major}

%package -n %{libkerfuffle}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkerfuffle}
KDE 4 library.

%files -n %{libkerfuffle}
%{_kde_libdir}/libkerfuffle.so.%{libkerfuffle_major}*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_kde_libdir}/libkerfuffle.so


%changelog

* Fri Apr 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-5
- (e5b59c5) Add patches for p7zip 15.09 support


